%define rel   1

Name: kmag
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 2
Group: Accessibility 
Summary: Screen magnifier for KDE 4
URL: http://www.kde.org/applications/utilities/kmag/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
License: GPLv2 and GFDL

BuildRequires: kdelibs4-devel >= 2:%version
Requires: kdebase4-runtime
Conflicts: kdeaccessibility4-core < 2:4.5.71
Suggests: kmag-handbook

%description
KMag is a small utility for Linux to magnify a part of the screen. KMag is very
useful for people with visual disabilities and for those working in the fields
of image analysis, web development etc.

%files
%_kde_bindir/kmag
%_kde_applicationsdir/kmag.desktop
%_kde_iconsdir/hicolor/*/*/kmag*
%_kde_iconsdir/hicolor/*/actions/followmouse.png
%_kde_iconsdir/hicolor/*/actions/hidemouse.png
%_kde_iconsdir/hicolor/*/actions/window.png
%_kde_appsdir/kmag

#------------------------------------------------------------------------------

%package -n kmag-handbook
Summary: Kmag handbook
Conflicts: kmag < 2:4.7.1-1
BuildArch: noarch
Group: Books/Other
%description -n kmag-handbook
KMag is a small utility for Linux to magnify a part of the screen. KMag is very
useful for people with visual disabilities and for those working in the fields
of image analysis, web development etc.

This package provides kmag handbook & mandir.

%files -n kmag-handbook
%doc AUTHORS ChangeLog COPYING COPYING.DOC README TODO
%doc %_kde_docdir/HTML/en/kmag
%_kde_mandir/man1/kmag.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228481
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221487
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198333
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 191007
- Update tarball to kde 4.7.97

* Fri Dec 23 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 186260
- Update tarball to kde 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181445
- imported package kmag

